weka.core.pmml.jaxbbindings

## Class ResultField

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ResultField

-     public class ResultField
      extends java.lang.Object

  Java class for ResultField element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="ResultField">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="dataType" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
               <attribute name="displayName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="feature" type="{http://www.dmg.org/PMML-4_1}RESULT-FEATURE" />
               <attribute name="name" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="optype" type="{http://www.dmg.org/PMML-4_1}OPTYPE" />
               <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DATATYPE` | `getDataType()` Gets the value of the dataType property.
    `java.lang.String` | `getDisplayName()` Gets the value of the displayName property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `RESULTFEATURE` | `getFeature()` Gets the value of the feature property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `OPTYPE` | `getOptype()` Gets the value of the optype property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setDataType(DATATYPE value)` Sets the value of the dataType property.
    `void` | `setDisplayName(java.lang.String value)` Sets the value of the displayName property.
    `void` | `setFeature(RESULTFEATURE value)` Sets the value of the feature property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setOptype(OPTYPE value)` Sets the value of the optype property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultField

          public ResultField()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getDataType

          public DATATYPE getDataType()

      Gets the value of the dataType property.
      Returns:
        possible object is `DATATYPE`

    - #### setDataType

          public void setDataType(DATATYPE value)

      Sets the value of the dataType property.
      Parameters:
        `value` - allowed object is `DATATYPE`

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the value of the displayName property.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(java.lang.String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFeature

          public RESULTFEATURE getFeature()

      Gets the value of the feature property.
      Returns:
        possible object is `RESULTFEATURE`

    - #### setFeature

          public void setFeature(RESULTFEATURE value)

      Sets the value of the feature property.
      Parameters:
        `value` - allowed object is `RESULTFEATURE`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOptype

          public OPTYPE getOptype()

      Gets the value of the optype property.
      Returns:
        possible object is `OPTYPE`

    - #### setOptype

          public void setOptype(OPTYPE value)

      Sets the value of the optype property.
      Parameters:
        `value` - allowed object is `OPTYPE`

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`